org.keycloak.models.jpa.entities

## Class SocialLinkEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.SocialLinkEntity

-     @Entity
      public class SocialLinkEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected RealmEntity` | `realm`
    `protected String` | `socialProvider`
    `protected String` | `socialUserId`
    `protected String` | `socialUsername`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocialLinkEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()`
    `RealmEntity` | `getRealm()`
    `String` | `getSocialProvider()`
    `String` | `getSocialUserId()`
    `String` | `getSocialUsername()`
    `UserEntity` | `getUser()`
    `void` | `setId(String id)`
    `void` | `setRealm(RealmEntity realm)`
    `void` | `setSocialProvider(String socialProvider)`
    `void` | `setSocialUserId(String socialUserId)`
    `void` | `setSocialUsername(String socialUsername)`
    `void` | `setUser(UserEntity user)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### realm

          protected RealmEntity realm

    - #### socialProvider

          protected String socialProvider

    - #### socialUserId

          protected String socialUserId

    - #### socialUsername

          protected String socialUsername

  - ### Constructor Detail

    - #### SocialLinkEntity

          public SocialLinkEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getUser

          public UserEntity getUser()

    - #### setUser

          public void setUser(UserEntity user)

    - #### getSocialProvider

          public String getSocialProvider()

    - #### setSocialProvider

          public void setSocialProvider(String socialProvider)

    - #### getSocialUserId

          public String getSocialUserId()

    - #### setSocialUserId

          public void setSocialUserId(String socialUserId)

    - #### getSocialUsername

          public String getSocialUsername()

    - #### setSocialUsername

          public void setSocialUsername(String socialUsername)

    - #### getRealm

          public RealmEntity getRealm()

    - #### setRealm

          public void setRealm(RealmEntity realm)

Copyright © 2014. All Rights Reserved.